Taiga
API ReferencePre EncounterAppointmentsV1

Get visits

Gets all Visits within a given time range. The return list is ordered by start_time ascending. **IMPORTANT:** This endpoint requires a date filter on `appointment.startTimestamp` to ensure acceptable query performance. Without date filtering, the query can take 50+ seconds on large datasets due to grouping and aggregation operations. Example filters: - `appointment.startTimestamp|gt|2024-01-01` - appointments after January 1, 2024 - `appointment.startTimestamp|eq|2024-12-08` - appointments on December 8, 2024 - `appointment.startTimestamp|lt|2024-12-31` - appointments before December 31, 2024 You can combine the date filter with other filters using commas: - `appointment.startTimestamp|gt|2024-01-01,appointment.status|eq|PENDING`

GET
/appointments/v1/visits

Authorization

BearerAuth
AuthorizationBearer <token>

Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

In: header

Query Parameters

page_token?|null
limit?integer|null
sort_field?|

Defaults to appointment.start_time.

sort_direction?|

Defaults to ascending.

filters?|

Required: Must include a date filter on appointment.startTimestamp (using gt, lt, or eq operators). Example: appointment.startTimestamp|gt|2024-01-01

Response Body

application/json

application/json

curl -X GET "https://example.com/appointments/v1/visits"
{  "items": [    {      "patient_id": "string",      "organization_id": "string",      "patient": {        "mrn": "string",        "name": {          "family": "string",          "given": [            "string"          ],          "use": "USUAL",          "period": {            "start": "2019-08-24",            "end": "2019-08-24"          },          "suffix": "string"        },        "other_names": [          {            "family": "string",            "given": [              "string"            ],            "use": "USUAL",            "period": {              "start": "2019-08-24",              "end": "2019-08-24"            },            "suffix": "string"          }        ],        "other_identifiers": [          {            "value": "string",            "system": "string",            "period": {              "start": "2019-08-24",              "end": "2019-08-24"            }          }        ],        "gender": "MAN",        "birth_date": "2019-08-24",        "social_security_number": "string",        "biological_sex": "FEMALE",        "sexual_orientation": "HETEROSEXUAL",        "pronouns": [          "string"        ],        "race": "AMERICAN_INDIAN_OR_ALASKA_NATIVE",        "ethnicity": "HISPANIC_OR_LATINO",        "disability_status": "DISABLED",        "marital_status": "ANNULLED",        "deceased": "2019-08-24T14:15:22Z",        "multiple_birth": 0,        "primary_address": {          "use": "HOME",          "line": [            "string"          ],          "city": "string",          "state": "string",          "postal_code": "string",          "country": "string",          "county": "string",          "period": {            "start": "2019-08-24",            "end": "2019-08-24"          }        },        "other_addresses": [          {            "use": "HOME",            "line": [              "string"            ],            "city": "string",            "state": "string",            "postal_code": "string",            "country": "string",            "county": "string",            "period": {              "start": "2019-08-24",              "end": "2019-08-24"            }          }        ],        "primary_telecom": {          "value": "string",          "use": "HOME",          "period": {            "start": "2019-08-24",            "end": "2019-08-24"          }        },        "other_telecoms": [          {            "value": "string",            "use": "HOME",            "period": {              "start": "2019-08-24",              "end": "2019-08-24"            }          }        ],        "email": "string",        "electronic_communication_opt_in": true,        "electronic_communication_consent": {          "text_communication_consent": true,          "email_communication_consent": true        },        "photo": "string",        "language": "string",        "external_provenance": {          "external_id": "string",          "system_name": "string"        },        "contacts": [          {            "relationship": [              "SELF"            ],            "name": {              "family": "string",              "given": [                "string"              ],              "use": "USUAL",              "period": {                "start": "2019-08-24",                "end": "2019-08-24"              },              "suffix": "string"            },            "telecoms": [              {                "value": "string",                "use": "HOME",                "period": {                  "start": "2019-08-24",                  "end": "2019-08-24"                }              }            ],            "addresses": [              {                "use": "HOME",                "line": [                  "string"                ],                "city": "string",                "state": "string",                "postal_code": "string",                "country": "string",                "county": "string",                "period": {                  "start": "2019-08-24",                  "end": "2019-08-24"                }              }            ],            "period": {              "start": "2019-08-24",              "end": "2019-08-24"            },            "hipaa_authorization": true          }        ],        "general_practitioners": [          {            "name": {              "family": "string",              "given": [                "string"              ],              "use": "USUAL",              "period": {                "start": "2019-08-24",                "end": "2019-08-24"              },              "suffix": "string"            },            "type": "PRIMARY",            "npi": "string",            "telecoms": [              {                "value": "string",                "use": "HOME",                "period": {                  "start": "2019-08-24",                  "end": "2019-08-24"                }              }            ],            "addresses": [              {                "use": "HOME",                "line": [                  "string"                ],                "city": "string",                "state": "string",                "postal_code": "string",                "country": "string",                "county": "string",                "period": {                  "start": "2019-08-24",                  "end": "2019-08-24"                }              }            ],            "period": {              "start": "2019-08-24",              "end": "2019-08-24"            },            "canonical_id": "string",            "fax": "string",            "other_fax_numbers": [              "string"            ],            "emails": [              "string"            ],            "service_facilities": [              {                "service_facility_id": "string"              }            ]          }        ],        "filing_order": {          "coverages": [            "197823de-c85f-4581-a119-488b658a39b7"          ]        },        "coverages_for_related_causes": {          "coverages": [            "197823de-c85f-4581-a119-488b658a39b7"          ]        },        "non_insurance_payers": [          "string"        ],        "non_insurance_payer_associations": [          {            "id": "string",            "member_id": "string",            "period": {              "start": "2019-08-24",              "end": "2019-08-24"            },            "clinical_trial_info": [              {                "id": "string",                "clinical_trial_arm": "string",                "period": {                  "start": "2019-08-24",                  "end": "2019-08-24"                }              }            ]          }        ],        "guarantor": {          "name": {            "family": "string",            "given": [              "string"            ],            "use": "USUAL",            "period": {              "start": "2019-08-24",              "end": "2019-08-24"            },            "suffix": "string"          },          "telecom": {            "value": "string",            "use": "HOME",            "period": {              "start": "2019-08-24",              "end": "2019-08-24"            }          },          "email": "string",          "birth_date": "2019-08-24",          "address": {            "use": "HOME",            "line": [              "string"            ],            "city": "string",            "state": "string",            "postal_code": "string",            "country": "string",            "county": "string",            "period": {              "start": "2019-08-24",              "end": "2019-08-24"            }          }        },        "self_pay": true,        "authorizations": [          {            "payer_id": "string",            "payer_name": "string",            "additional_payer_information": {              "availity_eligibility_id": "string",              "availity_payer_id": "string",              "availity_payer_name": "string",              "availity_remittance_payer_id": "string"            },            "authorization_number": "string",            "cpt_code": "string",            "apply_for_all_cpt_codes": true,            "no_prior_authorization_required": true,            "units": "VISIT",            "quantity": 0,            "period": {              "start": "2019-08-24",              "end": "2019-08-24"            },            "notes": "string",            "billing_provider_npi": "string",            "service_facility": {              "service_facility_id": "string"            },            "dx_codes": [              "string"            ]          }        ],        "referrals": [          {            "provider": {              "name": {                "family": "string",                "given": [                  "string"                ],                "use": "USUAL",                "period": {                  "start": "2019-08-24",                  "end": "2019-08-24"                },                "suffix": "string"              },              "type": "PRIMARY",              "npi": "string",              "telecoms": [                {                  "value": "string",                  "use": "HOME",                  "period": {                    "start": "2019-08-24",                    "end": "2019-08-24"                  }                }              ],              "addresses": [                {                  "use": "HOME",                  "line": [                    "string"                  ],                  "city": "string",                  "state": "string",                  "postal_code": "string",                  "country": "string",                  "county": "string",                  "period": {                    "start": "2019-08-24",                    "end": "2019-08-24"                  }                }              ],              "period": {                "start": "2019-08-24",                "end": "2019-08-24"              },              "canonical_id": "string",              "fax": "string",              "other_fax_numbers": [                "string"              ],              "emails": [                "string"              ],              "service_facilities": [                {                  "service_facility_id": "string"                }              ]            },            "referral_number": "string",            "period": {              "start": "2019-08-24",              "end": "2019-08-24"            },            "notes": "string",            "serviceFacility": {              "service_facility_id": "string"            },            "units": "VISIT",            "quantity": 0,            "cptCodes": [              "string"            ],            "applyForAllCptCodes": true          }        ],        "primary_service_facility_id": "string",        "service_facilities": [          {            "service_facility_id": "string"          }        ],        "do_not_invoice_reason": "BANKRUPTCY",        "note_ids": [          "string"        ],        "tag_ids": [          "string"        ],        "origination_detail": {          "referral_source": "HOSPITAL",          "referring_provider": {            "name": {              "family": "string",              "given": [                "string"              ],              "use": "USUAL",              "period": {                "start": "2019-08-24",                "end": "2019-08-24"              },              "suffix": "string"            },            "type": "PRIMARY",            "npi": "string",            "telecoms": [              {                "value": "string",                "use": "HOME",                "period": {                  "start": "2019-08-24",                  "end": "2019-08-24"                }              }            ],            "addresses": [              {                "use": "HOME",                "line": [                  "string"                ],                "city": "string",                "state": "string",                "postal_code": "string",                "country": "string",                "county": "string",                "period": {                  "start": "2019-08-24",                  "end": "2019-08-24"                }              }            ],            "period": {              "start": "2019-08-24",              "end": "2019-08-24"            },            "canonical_id": "string",            "fax": "string",            "other_fax_numbers": [              "string"            ],            "emails": [              "string"            ],            "service_facilities": [              {                "service_facility_id": "string"              }            ]          },          "specialization_categories": [            "BEHAVIORAL_HEALTH_THERAPY"          ],          "referral_type": "DIRECTED"        },        "inferred_patient_metadata": {          "inferred_encounter_id": "string",          "inferred_encounter_latest_date_of_service": "2019-08-24"        },        "orcon": true,        "advanced_directives": [          "NONE"        ],        "hipaa_code": "string"      },      "start_time": "2019-08-24T14:15:22Z",      "status": "PENDING",      "primary_coverage_status": "ACTIVE",      "secondary_coverage_status": "ACTIVE",      "primary_payer_name": "string",      "primary_payer_plan_group_id": "4c9ff934-b0c1-4749-b021-ef10bc8cd4c5"    }  ],  "next_page_token": "string",  "prev_page_token": "string",  "total": 0}